find_package(OpenSSL REQUIRED)

add_executable(PassengerStatistics main.cpp
    DetectAlgorithm.h DetectAlgorithm.cpp
    ImageUtilities.h ImageUtilities.cpp
    RtspServer.h RtspServer.cpp
    VideoInput.h VideoInput.cpp
)

target_include_directories(PassengerStatistics
    PRIVATE ${CMAKE_SOURCE_DIR}/3rdparty/libopencv/include
    PRIVATE ${CMAKE_SOURCE_DIR}/3rdparty/rw_mpp/include
    PRIVATE ${CMAKE_SOURCE_DIR}/3rdparty/ds_pedestrian_mot_hisi/include
    PRIVATE ${ZLMediaKit_INCLUDE_DIR}
)

target_link_directories(PassengerStatistics
    PRIVATE ${CMAKE_SOURCE_DIR}/3rdparty/libopencv/libs
    PRIVATE ${CMAKE_SOURCE_DIR}/3rdparty/rw_mpp/lib
    PRIVATE ${CMAKE_SOURCE_DIR}/3rdparty/ds_pedestrian_mot_hisi/libs
    PRIVATE ${ZLMediaKit_LIBRARY_DIRS}
    PRIVATE ${OPENSSL_LIBRARY_DIRS}
)

target_link_libraries(PassengerStatistics
    PRIVATE Kylin::Core
    PRIVATE OpenSSL::SSL 
    PRIVATE OpenSSL::Crypto
    PRIVATE rw_mpp
    PRIVATE ds_pedestrian_mot_Hi3516DV500
    PRIVATE mk_api
    PRIVATE opencv_core
    PRIVATE opencv_imgcodecs
    PRIVATE opencv_imgproc
    PRIVATE ${SCTP_LIBRARIES}
)